const Events = ({})
Events.on = ((e, callback) => {
	if(!Events._events) {
		Events._events = ([])
	}
	const events = e.split(" ")
	for(let event of events) {
		Events._events.push({
			"event": event,
			"callback": callback
		})
	}
})

Events.off = ((_events) => {
	for(let e of _events.split(" ")) {
		for(let event in Events._events) {
			if(Events._events[event].event == e) {
				Events._events[event] = null
				delete Events._events[event]
				Events._events.length--
			}
		}
	}
})

Events.emit = ((e, ...args) => {
	for(let _event of e.split(" ")) {
		for(let event of Events._events) {
			if(!event) return
			if(event.event == _event) {
				event.callback(args)
			}
		}
	}
})

module.exports = Events