# nodejs-events

node-js events is a little package to easily make events in node.js

# API

## Events.on(events, callback)

Listen to an event:
```js
Events.on("some-event", (e) => {
	console.log(e) // <- ["Node-js events are so easy!"]
})
```

You can listen to as much events as you want:
```js
Events.on("some-event some-other-event", (e) => {
	console.log(e) // <- ["Node-js events", "are so easy!"]
})
```

-----------------

## Events.emit(events, args)

Emit an event:
```js
Events.emit("some-event", "Node-js events are so easy!")
```

You can emit as much events as you want:
```js
Events.emit("some-event some-other-event", "Node-js events", "are so easy!")
```

----------------

## Events.off(events)

Stop listening to an event:
```js
Events.off("some-event")
```

You can stop listening to as much events as you want:
```js
Events.off("some-event some-other-event")
```